//---------------------------------------------------------------------------

#ifndef mainH
#define mainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "VmxAlphaImage.h"
#include <Dialogs.hpp>
#include <ComCtrls.hpp>
#include <Menus.hpp>
#include <ImgList.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE-managed Components
        TLabel *Label1;
        TVmxAlphaImage *VmxAlphaImage1;
        TMemo *VEMemo;
        TLabel *OpenedFile;
        TOpenDialog *AddDialog;
        TSaveDialog *SaveDialog1;
        TProgressBar *ProgressBar1;
        TMainMenu *MainMenu1;
        TMenuItem *N1;
        TMenuItem *N2;
        TMenuItem *N3;
        TMenuItem *N4;
        TMenuItem *N5;
        TMenuItem *N6;
        TMenuItem *N7;
        TMenuItem *N8;
        TMenuItem *N9;
        TMenuItem *N10;
        TMenuItem *N11;
        TImageList *ImageList1;
        TListBox *ListBox1;
        TOpenDialog *OpenDialog1;
        TMenuItem *N12;
        TMenuItem *N13;
        TListBox *ListBox2;
        TLabel *Label2;
        TLabel *Label3;
        TMenuItem *N14;
        TLabel *Label4;
        TEdit *Edit1;
        TMenuItem *N15;
        TPaintBox *PercPB;
        TSpeedButton *SpeedButton1;
        TMenuItem *N16;
        void __fastcall FormShow(TObject *Sender);
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall N3Click(TObject *Sender);
        void __fastcall N12Click(TObject *Sender);
        void __fastcall N5Click(TObject *Sender);
        void __fastcall N11Click(TObject *Sender);
        void __fastcall N9Click(TObject *Sender);
        void __fastcall N7Click(TObject *Sender);
        void __fastcall N6Click(TObject *Sender);
        void __fastcall N14Click(TObject *Sender);
        void __fastcall SpeedButton1Click(TObject *Sender);
        void __fastcall PercPBPaint(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TMainForm(TComponent* Owner);
        void __fastcall Open (AnsiString File);
        AnsiString __fastcall GetWinDir (void);
        AnsiString __fastcall GetWinSysDir (void);
        float perc;
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
